Vulnerability CVE-2013-2064


Published: 2013-06-15

Description:
Integer overflow in X.org libxcb 1.9 and earlier allows X servers to trigger allocation of insufficient memory and a buffer overflow via vectors related to the read_packet function.

Type:

CWE-189

(Numeric Errors)

CVSS2 => (AV:N/AC:M/Au:N/C:P/I:P/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
6.8/10
6.4/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
Partial
Affected software
X -> Libxcb 
Oracle -> Secure global desktop 
Opensuse -> Opensuse 
Novell -> Opensuse 
Fedoraproject -> Fedora 
Debian -> Debian linux 
Canonical -> Ubuntu linux 

 References:
http://lists.fedoraproject.org/pipermail/package-announce/2013-May/106752.html
http://lists.opensuse.org/opensuse-updates/2013-06/msg00137.html
http://www.debian.org/security/2013/dsa-2686
http://www.openwall.com/lists/oss-security/2013/05/23/3
http://www.oracle.com/technetwork/security-advisory/cpujul2016-2881720.html
http://www.securityfocus.com/bid/60148
http://www.ubuntu.com/usn/USN-1855-1
http://www.x.org/wiki/Development/Security/Advisory-2013-05-23

Copyright 2022, cxsecurity.com

 

Back to Top